package nu.dll.md5integrity;

import java.io.File;
import java.io.Serializable;
import java.io.IOException;

public class FileData implements Serializable {
    String canonicalPath;
    byte[] md5;
    long lastModified;
    public FileData(File f, byte[] md5) throws IOException {
	this.canonicalPath = f.getCanonicalPath();
	this.lastModified = f.lastModified();
	this.md5 = md5;
    }
}
